<?

include 'connect.php';

if($u['ban'] > time()){
header ("Location: page.php");
}

$location = 'arbour';

switch($_GET['act'])
{

//Редактирование ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit':
if($u['admin'] == 1){
   if ($_GET['id']) {
   $id = intval($_GET['id']);
      if (isset($_POST['submit'])) {
      $message = check(substr($_POST['message'], 0, 500));
      mysql_query("UPDATE `arbour` SET
      `message` = '$message'
      WHERE `id` = '$id'
      ");
      header ("Location: arbour.php");
      exit;
      } else {
	  include 'head.php';
      //Подзаголовок
      echo '<div class="title"><img src= "img/arbour.gif"> Беседка | Редактирование сообщения</div>';
      echo '<div class="subtitle">';
      echo '<a href = "arbour.php">В беседку</a>';
      echo '</div>';
      echo '<div class="main_menu">';
      $message = mysql_fetch_assoc(mysql_query("SELECT * FROM `arbour` WHERE `id` = '$id'"));
      $text = checkout($message['message']);
      echo '<form action="arbour.php?act=edit&amp;id=' . $id . '" method="post">';
	  echo 'Сообщение от <a href = "index.php?id='.$message['user'].'">'.login($message['user']).'</a><br/>';
      echo '<textarea cols="20" rows="2" name="message">'.$text.'</textarea><br/>';
      echo '<input type="submit" name="submit" class="btn" value="Сохранить" class="submit white"/>';
      echo '</form></div>';
      echo '</div>';
      include 'foot.php';
	  }
   }
}
break;

//Вывод сообщений ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   } else {
   $id = $u['id'];
   }
} else {
$id = $u['id'];
}

if($id == 0){
header ("Location: index.php");
exit;
}

//Запись сообщения, если сообщение получено
if($u['id'] and $_POST['message']){
$message = check(substr($_POST['message'], 0, 500));
   //Проверяем на флуд
   $flood = mysql_query("SELECT `time` FROM `guestbook` WHERE `user` = '".$u['id']."' AND `time` > '" . (time() - 3) . "'");
   if (mysql_num_rows($flood)) {
   header ("Location: guestbook.php?id=$id");
   exit;
   }
   // Проверка на одинаковые сообщения
   $req = mysql_query("SELECT * FROM `guestbook` WHERE `user` = '".$u['id']."' and `guestbook` = '$id' ORDER BY `time` DESC");
   $res = mysql_fetch_array($req);
   if ($res['message'] == $message) {
   header("location: guestbook.php?id=$id");
   exit;
   }
// Вставляем сообщение в базу
mysql_query("INSERT INTO `guestbook` SET
`user` = '".$u['id']."',
`message` = '$message',
`time` = '".time()."',
`guestbook` = '$id'
");
mysql_query("UPDATE `users` SET `stat_guestbook` = `stat_guestbook`+1 WHERE `id` = '".$u['id']."'");
//Записываем в журнал
      if($id != $u['id']){
      if($u['sex'] == 'm'){
      $action[0] = 'Оставил';
      } else {
      $action[0] = 'Оставила';
      }
      $text = $action[0].' запись в вашей <a href = "guestbook.php">гостевой</a>.';
      mysql_query("INSERT INTO `jurnal` SET
      `user` = '".$photo['user']."',
      `outuser` = '".$u['id']."',
      `text` = '$text',
      `time` = '".time()."',
      `new` = '1'
      ");
      }
	  
header ("Location: guestbook.php?id=$id");
}

if($id == $u['id']) $zag = 'Моя гостевая';
else $zag = 'Гостевая <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | Гостевая книга';
include 'head.php';

//Подзаголовок
echo '<div class="title"><img src= "img/guestbook.gif"> '.$zag.'</div>';

echo '<div class="main_menu">';

//Блок ввода сообщения
if ($u['id']) {
$o = abs(intval($_GET['o']));
$user = mysql_fetch_assoc(mysql_query("SELECT `login` FROM `users` WHERE `id` = '".$o."'"));
if($user['login']) $otv = $user['login'].', ';
echo '
<img src = "img/refresh.png"> <a href = "guestbook.php?id='.$id.'&refresh='.rand(1,9999).'"> Обновить</a> <img src = "img/smiles.gif"> <a href = "smiles.php">Смайлы</a><hr>
Сообщение: <form action="guestbook.php?id='.$id.'" method="post">';
echo '<textarea cols="20" rows="2" name="message">';
echo $otv;
echo '</textarea><br/>';
echo "<input type='submit' title='Нажмите для отправки' name='submit' class='btn' value='Написать'  class='submit white'/>
</form>";
} else {
echo '<div class="act">Для общения тут пройдите <a href = "index.php"><b>авторизацию</b></a> или 
<a href = "reg.php"><b>зарегистрируйтесь</b></a>!:)</div>';
}
echo '<hr>';

//Удаление
if($u['admin'] == 1 || $u['admin'] == 2 || $id == $u['id']){
   if($_GET['del']){
	   $del = intval($_GET['del']);
	   $message = mysql_num_rows(mysql_query("SELECT `id` FROM `guestbook` WHERE `id` = '$del' and `guestbook` = '".$id."'"));
	   if($message){
		   mysql_query("DELETE FROM `guestbook` WHERE `id` = '$del' LIMIT 1");
		   echo '<div class = "action">Сообщение удалено!</div><hr>';
	   }
   }
}

$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `guestbook` WHERE `guestbook` = '".$id."'"), 0);
if($all > 0){
   $total = intval(($all - 1) / 10) + 1;
   $page = intval($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * 10 - 10;
   $result = mysql_query("SELECT * FROM `guestbook` WHERE `guestbook` = '".$id."' ORDER BY `time` DESC LIMIT $start, 10");
      while($guestbook = mysql_fetch_assoc($result)){
	  $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$guestbook["user"]."'"));
      $message = checkout($guestbook['message']);	  
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  echo '<table>
  <tr>
    <td>';
	ava($user['id'],50);
	echo '</td>
	<td VALIGN=top>';
	echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).' ('.vremya($guestbook['time']).') <a href = "guestbook.php?id='.$id.'&o='.$user['id'].'">[<font color = "red">Отв</font>]</a>'; if($u['admin'] == 1 || $u['admin'] == 2 || $id == $u['id']){ echo '  <a href = "guestbook.php?id='.$id.'&del='.$guestbook['id'].'"><img src = "img/delete.gif"></a>'; }
	echo '<br/><font color = "#000">';
	  smiles($message);
	  echo '</font><br/>';
	echo '</td>
  </tr>
</table>';
echo '<hr>';
	  echo '</div>';
	  $i++;
	  }
   navigation($page, $total,'guestbook.php?id='.$id.'&');
}else{
	echo '<div class = "block1">Сообщений еще нет. Будь первым!</div>';
}
echo '</div>';
include 'foot.php';
}

?>